/* Estilos generales */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    box-sizing: border-box;
}

#modal {
    display: none;
    z-index: 5;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: var(--color-primary-opacity);
}

.navbar {
    background-color: var(--color-primary-soft);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    color: var(--color-primary);
}

#nav-logo {
    font-size: 24px;
    font-weight: bold;
}

#nav-menu-close{
    background-color: transparent;
    border: none;
    display: block;
    padding-left: 20px;
}
/* SVG */

svg {
    height:24px;
    width:24px;
    fill:var(--color-primary);
}

/* Enlaces */

#btn-menu-close{
    padding: 20px;
}

.sidebar {
    position: fixed;
    top: 0px;
    left: -250px;
    width: 250px;
    z-index: 9;
    background-color: var(--color-primary-soft);
    height: 100vh;
    padding: 20px 0;
    transition: left 0.3s;
}

.sidebar ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.sidebar ul li {
    padding: 10px;
    position: relative;
    border-bottom: solid 2px transparent;
}

.sidebar ul li a {
    color: var(--color-primary);
    font: 18px Arial, sans-serif;
    text-decoration: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.sidebar > ul > li > a:hover {
    color: var(--color-primary-dark);
}

.sidebar ul li a .arrow {
    font-size: 12px;
    padding-left: 3px;
    transition: transform 0.3s;
}

.sidebar ul li.dropdown .dropdown-menu {
    z-index: 4;
    max-height: 0px;
    overflow: hidden;
    padding-left: 15px;
    background-color: var(--color-light);
    transition: max-height 0.5s ease-out;
}

.sidebar ul li.dropdown.active .dropdown-menu {
    max-height: 250px;
    padding-top: 15px;
}

.sidebar ul li.dropdown.active .dropdown-menu li:hover a{
    color: var(--color-primary-dark);
}

.sidebar ul li.dropdown.active .arrow {
    transform: rotate(180deg);
} 




/* Búsqueda */

#nav-search-container{
    display: flex;
    justify-content: center;
    position: fixed;
    z-index: 10 !important;
    top: -60px;
    left: 0px;
    width: 100%;
    height: 60px;
    align-items: center;
    background-color: white;
    transition: top 0.3s ease-in-out;
    border-radius: 10px;
}

#navbar-search {
    display: flex;
    align-items: center;
    border-bottom: 2px solid transparent;
    border-radius: 10px;
    padding: 0px 5px;
}

#navbar-search input {
    padding: 8px;
    border: none;
    outline: none;
    color: var(--color-primary);
}

#navbar-search:focus-within {
    border-color: var(--color-primary);
}

#navbar-search button {
    background-color: white;
    padding: 8px 12px;
    border: none;
    cursor: pointer;
}


/* Botones navegacion*/
.navbar-buttons {
    display: flex;
    gap: 10px;
}

#btn-login, #btn-cart, #btn-menu, #nav-btn-searchTwo, #nav-search-close{
    background-color: var(--color-light);
    /* background-color: #f1f8ec; */
    padding: 8px 12px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
#nav-search-close{
   position: relative;
   left: -15px;
}

.arrow {
    font-size: 12px;
    transition: transform 0.3s;
}



/* Botones */



h4{
    margin: 0.7rem 1rem;
    line-height: 1.5
}

footer{
    /* position: absolute;
    top: calc(100% - 200px);
    left: 0px;
    z-index: 4; */
    display: flex;
    padding-top: 5px;
    color: #336633;
    /* max-height: 400px; */
    background-color: #f1f8ec;
  }

  .grid-footer {
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 1.5fr;
    gap: 2px;
    padding-top: 15px;
  }

.foot-schedule{
    display: flex;
    flex-direction: column;
    justify-content: center;
    grid-area: 1 / 1 / 2 / 3;
    padding: 0px 5px;
}
.schedule-item {
    display: flex;
    flex-direction:row;
    flex-grow: 1;
    align-items: center;
    min-height: 24px;
    background-color: rgb(227, 247, 227);
    margin-bottom: 2px;
}
.schedule-item .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    
    margin: 0px 5px;
}

.foot-schedule div span{
    text-align: left;
    padding: 3px 5px;
    line-height: 1.2;
}

/*CONTACT Footer */

.foot-contact{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1px;
    padding-left: 5px;
    grid-area: 2 / 1 / 4 / 2;
}
  
.contact-row{
  display: flex;
  align-items: center;
  gap: 1px;
}

.foot-robot {
    display: none;
   /*  height: 10rem;
    overflow: hidden; */
}
.foot-robot > img{
    height: 120px;
    float: right;
}

.foot-logo{
    display: flex;
    align-items: center;
    justify-content: center;
    grid-area: 2 / 2 / 3 / 3;
}
  
.foot-logo > img {
    max-height: 40px;
}

.social-box{
  grid-area: 3 / 2 / 4 / 3;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}
.social-icon{
    fill:  #3a5625;
    width: 2.5rem;
    height: 2.5rem;
    line-height: 20px;
}
.social-fb{
    fill:  #3a5625;
    width: 2rem;
    height: 2rem;
}

.foot-copy{
  display: flex;
  flex-wrap: wrap;
  grid-area: 4 / 1 / 5 / 3;
  padding: 25px 0px;
  align-items: center;
  justify-content: center;
}
.elem{
  margin: 5px 10px;
}

.consultar{
  color: #617254;
}

